- job:
    name: ci-dockerfiles-sanity-check
    project-type: matrix
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-discover
            everyone-flat:
                - job-read
                - job-extended-read
        - build-discarder:
            days-to-keep: 90
            num-to-keep: 200
        - build-blocker:
            use-build-blocker: true
            blocking-jobs:
              - "ci-docker.*"
            block-level: 'NODE'
    disabled: false
    node: master
    concurrent: false
    display-name: 'CI Dockerfiles sanity check'
    scm:
        - git:
            url: https://review.linaro.org/${GERRIT_PROJECT}
            refspec: ${GERRIT_REFSPEC}
            branches:
                - ${GERRIT_BRANCH}
            skip-tag: true
            clean:
                before: true
            choosing-strategy: gerrit
            basedir: dockerfiles
    triggers:
        - gerrit:
            server-name: 'review.linaro.org'
            trigger-on:
                - patchset-created-event
            projects:
                - project-compare-type: 'PLAIN'
                  project-pattern: 'ci/dockerfiles'
                  branches:
                    - branch-compare-type: 'PLAIN'
                      branch-pattern: 'master'
                    - branch-compare-type: 'ANT'
                      branch-pattern: 'tcwg**'
            silent-start: true
    axes:
        - axis:
            type: slave
            name: label
            values:
                - build-amd64
                - build-arm64
    execution-strategy:
        sequential: false
    wrappers:
        - timestamps
    builders:
        - shell: |
            #!/bin/bash -e
            echo "#${BUILD_NUMBER}-${GERRIT_PATCHSET_REVISION:0:8}" > ${WORKSPACE}/version.txt
        - shell: |
            #!/bin/bash -e
            curl -L -o ${WORKSPACE}/config.json https://ci.linaro.org/userContent/config.json --fail
        - build-name-setter:
            name: 'version.txt'
            file: true
        - shell:
            !include-raw: ci-dockerfiles-deployment/builders.sh
        - shell:
            !include-raw: ci-dockerfiles-deployment/report.sh
    publishers:
        - email:
            recipients: linaro-infrastructure-errors@lists.linaro.org
